﻿using C1.WPF.Core;
using System.Data;
using System.Diagnostics;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using C1.WPF.Grid;
using System.Collections.Specialized;

namespace FlexGridRowAdd
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            FlexGrid1.ItemsSource = GetDataTable().DefaultView;

            //Handle event
            FlexGrid1.Rows.CollectionChanged += Rows_CollectionChanged;
        }

        private void Rows_CollectionChanged(object? sender, NotifyCollectionChangedEventArgs e)
        {
            //Check for row added action
            if (e.Action == NotifyCollectionChangedAction.Add)
            {
                MessageBox.Show("Row Added");
            }
        }

        private static DataTable GetDataTable()
        {
            DataTable dt = new DataTable("Employees");
            dt.Columns.Add("Id", typeof(int));
            dt.Columns.Add("Name", typeof(string));
            dt.Columns.Add("Department", typeof(string));
            dt.Columns.Add("Sex", typeof(string));
            dt.Columns.Add("Salary", typeof(decimal));

            dt.Rows.Add(1, "Peter", "Mgmt", "M", 5000);
            dt.Rows.Add(2, "George", "ACC", "M", 4000);
            dt.Rows.Add(3, "Frank", "IT", "M", 4500);
            dt.Rows.Add(4, "Linda", "IT", "F", 4000);
            dt.Rows.Add(5, "Fink", "ACC", "M", 3000);
            dt.Rows.Add(6, "Lucy", "ACC", "F", 5000);

            return dt;
        }
    }
}